ABSTRACT(1)

NAME

abstract - Synthetizes a behavioral description from a structural description

ORIGIN
This software belongs to the ALLIANCE CAD system from the
CAO-VLSI team at MASI laboratory, University P. et M. Curie
4, place Jussieu ; 75252 PARIS Cedex 05 ; FRANCE
Fax: (33-1) 44.27.62.86 ; E-mail: cao-vlsi@masi.ibp.fr

SYNOPSIS

abstract root_structural_file [behavioral_file]

DESCRIPTION

abstract synthetizes a VHDL behavioral data-flow description from a multilevel structural description. It flattens the structural description (it can be a hierarchy of macro block) until the cells which have a behavioral description. The output is a VHDL data-flow description.

PARAMETERS

root_structural_file is the filename of the root of the structural description file. behavioral_file is the optional filename of the generated behavioral description file.

ENVIRONMENT VARIABLES

MBK_WORK_LIB
    Path of the directory that contains the structural description and where is generated the behavioral description.

MBK_CATA_LIB
    List of directories containing leaf cell descriptions. The default path is the current directory (see mbk(1)).

MBK_CATAL_NAME
    Indicates the file where the behavioral description files are given. This serves to abstract to stop the flatten of the structural root circuit (see mbk(1)).

MBK_IN_LO
    file extension for structural entity (see mbk(1)).

EXAMPLES

abstract adder32

abstract adder32 add32

SEE ALSO

vhdl(5), mbk(1), MBK_WORK_LIB(8), MBK_CATA_LIB(8), MBK_CATAL_NAME(8), MBK_IN_LO(8).

BUGS

Please e-mail to cao-vlsi@masi.ibp.fr for bug report and suggestions.